This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 472520 - rlPhaseEnd ends up in indefinite loop when network is down
rlPhaseEnd ends up in indefinite loop when network is down
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: beakerlib (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ales Zelinka
Fedora Extras Quality Assurance
:
Depends On: bl-journal-overhaul
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-21 08:59 EST by Ales Zelinka
Modified: 2015-04-08 11:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-08 11:40:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ales Zelinka 2008-11-21 08:59:27 EST
Description of problem:
rlPhaseEnd calls report_result which requires working network
It ends up in indefinite loop, outputting "Unable to connect to server, sleeping 5 seconds...", when net is down.

With report_results, users kinda expect it would require network, but rlPhaseEnd does more than result reporting (i.e. test structuralization, assert summarization) and sometimes it makes sense to call it even when net is down. 

possible solutions:

1) leave it as it is, just document it well in manual
2) make result reporting optional by some parameter to either rlPhaseEnd or rlPhaseStart (defaulting to current behaviour.)
  a) continue when results can't be reported 
  b) let the reporting be deferred - continue, but retry the reporting in next rlPhaseEnd
3) <your idea>
Comment 1 Ales Zelinka 2008-11-21 11:20:20 EST
ahem, s/indefinite/infinite/gc ;)
Comment 2 Petr Muller 2009-03-03 12:56:05 EST
I like 2b. Now when we have rlJournalEnd we have an endpoint where we know everything should be reported. It shouldn't even be that hard to implement, something like new 'reported=TRUE' attribute in the journal should suffice. Plus network check of course.
Comment 3 Petr Muller 2009-03-03 12:56:26 EST
Will do it.
Comment 5 Fedora End Of Life 2013-04-03 15:56:29 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Fedora Admin XMLRPC Client 2014-09-02 08:14:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2015-01-09 16:37:51 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-18 06:58:05 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Ales Zelinka 2015-04-08 11:40:03 EDT
Closing, I (as this bug's reporter) no longer care and nobody else (but beakerlib maintainers) is CCed here. Reopen if this is still an issue.

Note You need to log in before you can comment on or make changes to this bug.